## powerpc-cross-toolchain-base 0.9

=== debian/changelog ===
powerpc-cross-toolchain-base (0.9) raring; urgency=low

  * Drop gcc-4.7/no-shlibdeps-for-stages.diff, not needed with new glibc.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 08 Feb 2013 14:15:01 -0700

powerpc-cross-toolchain-base (0.8) raring; urgency=low

  * Bump eglibc to 2.17.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2013 20:41:54 +0000

powerpc-cross-toolchain-base (0.7) raring; urgency=low

  * Don't call dh_shlibdeps for the libgcc packages; the packages are
    just unpacked for the following glibc build, the dependency information
    is not needed. The build fails otherwise on i386 (succeeds on amd64).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 20:24:27 +0100

powerpc-cross-toolchain-base (0.6) raring; urgency=low

  * Remove LD_LIBRARY_PATH settings for gcc builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 03:41:26 +0100

powerpc-cross-toolchain-base (0.5) raring; urgency=low

  * Set WITH_SYSROOT for GCC builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Jan 2013 02:18:49 +0100

powerpc-cross-toolchain-base (0.4) raring; urgency=low

  * Bump b-d on linux source to 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 22:02:08 +0100

powerpc-cross-toolchain-base (0.2) raring; urgency=low

  * Merge packaging with armhf-cross-toolchain-base 1.94.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 14:59:10 +0100

powerpc-cross-toolchain-base (0.1) raring; urgency=low

  * Initial package, based on armhf-cross-toolchain-base 1.93.
  * Don't try to build libc6-prof packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2012 10:11:41 +0100
