## powerpc-cross-toolchain-base 1.1

=== debian/changelog ===
powerpc-cross-toolchain-base (1.1) trusty; urgency=medium

  * Bump eglibc to 2.19.
  * Refresh eglibc patches.
  * Add rsync, xmlto build-dep.
  * Build-depend on libcloog-isl-dev instead of libcloog-ppl-dev.
  * Regenerate debian/control.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 08:08:24 +0100

powerpc-cross-toolchain-base (1.0) trusty; urgency=low

  * Bump eglibc to 2.18.
  * Bump gcc to 4.8.
  * Explicitly use /dev/null as quilt config file.
  * Drop not-needed any more binutils-version.diff gcc overlay patch
  * Remove binutils-gold build-conflict, and regenerate control.
  * Refresh eglibc/ubuntu/disable-selinux.patch.
  * Add symlinks and rdfind build-dependency.
  * Speed up build, by building eglibc in parallel.
  * Remove Marcin Juszkiewicz from maintainers, thanks a lot for your
    awesome work and good luck on the Red side ;-)
  * Bump linux-source to 3.12.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Dec 2013 01:12:44 +0000
