=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: powerpc-cross-toolchain-base
 Section: devel
 Priority: extra
-#Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Maintainer: Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Standards-Version: 3.9.5
 Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.20.1-3~),
-  dpkg (>= 1.16.0~ubuntu6), fdupes, lsb-release,
+  dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.21.0.20110327-2~),
-  eglibc-source (>= 2.17-0~),
-  gcc-4.7-source (>= 4.7.2-18),
-  linux-source (>= 3.8.0-0~), 
-  autoconf (>= 2.64), autoconf2.64, autogen, automake (<< 1:1.12),
-  automake (>= 1:1.11), bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
+  eglibc-source (>= 2.19-0~),
+  gcc-4.8-source (>= 4.8.2-16),
+  linux-source (>= 3.13.0-0~), 
+  autoconf (>= 2.64), autoconf2.64, autogen,
+  automake, bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
   gawk, gettext, gperf (>= 3.0.1), kernel-wedge (>= 2.24),
-  libcloog-ppl-dev (>= 0.15.8-1~), libmpc-dev,
-  libmpfr-dev (>= 2.3.0), libtool, lsb-release, lzma, m4,
-  make (>= 3.81), module-init-tools,
-  patchutils, procps, quilt, realpath (>= 1.9.12),
+  libcloog-isl-dev (>= 0.12.2~), libmpc-dev,
+  libmpfr-dev (>= 2.3.0), rsync, xmlto, libtool, lsb-release, lzma, m4,
+  make (>= 3.81), module-init-tools, symlinks,
+  patchutils, procps, quilt, rdfind, realpath (>= 1.9.12),
   sed (>= 4.0.5-4), sharutils, tar (>= 1.22), xz-utils,
   asciidoc, texinfo, texi2html
-Build-Conflicts: binutils-gold, binutils-powerpc-linux-gnu, libc6-powerpc-cross, linux-libc-dev-powerpc-cross
-Vcs-Browser: http://git.linaro.org/gitweb?p=people/hrw/cross-toolchain-packaging.git;a=shortlog;h=refs/heads/debian/experimental/powerpc-cross-toolchain-base
-Vcs-git: git://git.linaro.org/people/hrw/cross-toolchain-packaging.git
+Build-Conflicts: binutils-powerpc-linux-gnu, libc6-powerpc-cross, linux-libc-dev-powerpc-cross
 
 Package: libc6-powerpc-cross
 Architecture: all
@@ -58,7 +55,7 @@
 
 #Package: libgcc1-powerpc-cross
 #Architecture: all
-#Depends: gcc-4.7-powerpc-linux-gnu-base, ${misc:Depends}
+#Depends: gcc-4.8-powerpc-linux-gnu-base, ${misc:Depends}
 #Homepage: http://gcc.gnu.org/
 #Description: GCC support library
 # Shared version of the support library, a library of internal subroutines
@@ -70,7 +67,7 @@
 
 #Package: libgcc1-dbg-powerpc-cross
 #Architecture: all
-#Depends: gcc-4.7-powerpc-linux-gnu-base, ${misc:Depends}
+#Depends: gcc-4.8-powerpc-linux-gnu-base, ${misc:Depends}
 #Section: debug
 #Homepage: http://gcc.gnu.org/
 #Description: GCC support library (debug symbols)
