=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,13 @@
 # if debian/ppa is present then we do PPA
 ifneq ($(wildcard debian/ppa),)
   PPA := true
+endif
+
+# Support multiple makes at once based on number of processors
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NJOBS=parallel=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+NJOBS=
 endif
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
@@ -36,12 +43,12 @@
 # default version of gcc which will be used
   VER_GCC_BASE   := 4.7
 else
-  MIN_VER_EGLIBC := 2.17-0~
-  MIN_VER_LINUX  := 3.8.0-0~
-  MIN_VER_GCC    := 4.7.2-18
-  VER_LINUX      := 3.8.0
+  MIN_VER_EGLIBC := 2.19-0~
+  MIN_VER_LINUX  := 3.13.0-0~
+  MIN_VER_GCC    := 4.8.2-16
+  VER_LINUX      := 3.13.0
 # default version of gcc which will be used
-  VER_GCC_BASE := 4.7
+  VER_GCC_BASE := 4.8
 endif
 
 EXTRA_DEPS := 
@@ -129,7 +136,7 @@
 	@echo START $@
 ifeq ($(DISTRO),Debian)
 	$(call unpack_tarball, /usr/src/linux-source-${VER_LINUX}.tar.bz2)
-	cd linux-source-${VER_LINUX} && QUILT_PATCHES=${CURDIR}/debian/patches/linux quilt push -a
+	cd linux-source-${VER_LINUX} && QUILT_PATCHES=${CURDIR}/debian/patches/linux quilt --quiltrc /dev/null  push -a
 else
 	$(call unpack_tarball, /usr/src/linux-source-${VER_LINUX}/linux-source-${VER_LINUX}.tar.bz2)
 	cp -a /usr/src/linux-source-${VER_LINUX}/debian linux-source-${VER_LINUX}/debian
@@ -190,8 +197,3 @@
 	touch $@
 
 define init_binutils
-	$(call unpack_tarball, ${BINUTILS_DIR}/binutils-${VER_BINUTILS}.tar.xz)
-	set -e; \
-	cd binutils-${PKG_VER_BINUTILS} ;\
-	cp -a ${BINUTILS_DIR}/debian/ . ;\
-	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/binutils/series)" ]; then \
