## powerpc-cross-toolchain-base 1.2

=== debian/changelog ===
powerpc-cross-toolchain-base (1.2) utopic; urgency=medium

  [ Matthias Klose ]
  * Build using the glibc source package.
  * Update the multilib build for glibc.

  [ Adam Conrad ]
  * Sync with arm64 packaging.
  * install-stubs.patch: Install glibc stub headers for the stage1 build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Oct 2014 16:06:25 +0200
