=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 DISTRO ?= $(shell lsb_release -is)
 
 ifeq ($(DISTRO),Debian)
-  MIN_VER_EGLIBC := 2.13-5~
+  MIN_VER_GLIBC := 2.13-5~
   MIN_VER_LINUX  := 3.2
   MIN_VER_GCC    := 4.7.2-5
   VER_LINUX      := $(shell apt-cache policy linux-source|grep '\*\*\*'|sed -e 's/ ... \([0-9\.]*\)+.*/\1/g')
@@ -43,10 +43,10 @@
 # default version of gcc which will be used
   VER_GCC_BASE   := 4.7
 else
-  MIN_VER_EGLIBC := 2.19-0~
+  MIN_VER_GLIBC := 2.19-0~
   MIN_VER_LINUX  := 3.13.0-0~
   MIN_VER_GCC    := 4.8.2-16
-  VER_LINUX      := 3.13.0
+  VER_LINUX      := $(shell apt-cache policy linux-source|sed -n -e's/^[[:space:]]*Candidate: \([0-9]\+\.[0-9]\+\.[0-9]\+\).*/\1/p')
 # default version of gcc which will be used
   VER_GCC_BASE := 4.8
 endif
@@ -67,23 +67,23 @@
   VER_BINUTILS     := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-'|cut -d '.' -f1-3)
   PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
   DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
-  VER_EGLIBC       := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
-  DEB_VER_EGLIBC   := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
+  VER_GLIBC        := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
+  DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -l/usr/src/glibc/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
   BINUTILS_DIR  := /usr/src/binutils
-  EGLIBC_DIR    := /usr/src/glibc
+  GLIBC_DIR     := /usr/src/glibc
   GCC_DIR       := /usr/src/gcc-${VER_GCC_BASE}
 
   ifeq ($(DISTRO),Debian)
 
-    EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/debian
+    GLIBC_PATCHES  := $(CURDIR)/debian/patches/eglibc/debian
     LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-debian
 
   else # Ubuntu
 
     DEB_VER_LINUX    := $(shell dpkg-parsechangelog -l/usr/src/linux-source-$(VER_LINUX)/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
-    EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/ubuntu
+    GLIBC_PATCHES  := $(CURDIR)/debian/patches/eglibc/ubuntu
     LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-ubuntu
 
   endif
@@ -91,21 +91,21 @@
 else # Linaro toolchain backport PPA
 
   VER_GCC          := 4.7.2
-  VER_EGLIBC       := 2.16
+  VER_GLIBC        := 2.16
   VER_BINUTILS     := 2.22.52
   EXTRA_DEPS       := 
 
   DEB_VER_LINUX    := $(shell dpkg-parsechangelog -l/usr/src/linux-source-$(VER_LINUX)/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
   DEB_VER_GCC      := $(shell dpkg-parsechangelog -l/usr/src/gcc-${VER_GCC_BASE}-${VER_GCC}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
-  DEB_VER_EGLIBC   := $(shell dpkg-parsechangelog -l/usr/src/glibc-${VER_EGLIBC}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
+  DEB_VER_GLIBC    := $(shell dpkg-parsechangelog -l/usr/src/glibc-${VER_GLIBC}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
   PKG_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
   DEB_VER_BINUTILS := $(shell dpkg-parsechangelog -l/usr/src/binutils-${VER_BINUTILS}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
   BINUTILS_DIR  := /usr/src/binutils-${VER_BINUTILS}
-  EGLIBC_DIR    := /usr/src/glibc-${VER_EGLIBC}
+  GLIBC_DIR     := /usr/src/glibc-${VER_GLIBC}
   GCC_DIR       := /usr/src/gcc-${VER_GCC_BASE}-${VER_GCC}
 
-  EGLIBC_PATCHES := $(CURDIR)/debian/patches/eglibc/ubuntu
+  GLIBC_PATCHES  := $(CURDIR)/debian/patches/eglibc/ubuntu
   LINUX_SERIES   := $(CURDIR)/debian/patches/linux/series-ubuntu
 
 endif
@@ -117,8 +117,8 @@
 
 info:
 	@echo "Binutils version:         ${VER_BINUTILS}	${DEB_VER_BINUTILS}	${PKG_VER_BINUTILS}"
-	@echo "GCC 4.7 version:          ${VER_GCC}       	${DEB_VER_GCC}            ${VER_GCC_BASE}"
-	@echo "Eglibc version:           ${VER_EGLIBC}  	${DEB_VER_EGLIBC}"
+	@echo "GCC version:              ${VER_GCC}       	${DEB_VER_GCC}          ${VER_GCC_BASE}"
+	@echo "Glibc version:            ${VER_GLIBC}  		${DEB_VER_GLIBC}"
 	@echo "Linux version:            ${VER_LINUX}   	${DEB_VER_LINUX}"
 	@echo
 	@echo "Target architecture:      ${CROSS_ARCH}"
@@ -130,7 +130,7 @@
 	mkdir debian/tmp -p
 	touch $@
 
-init: $(stamp)init-binutils $(stamp)init-gcc $(stamp)init-eglibc
+init: $(stamp)init-binutils $(stamp)init-gcc $(stamp)init-glibc
 
 $(stamp)init-linux:
 	@echo START $@
@@ -192,8 +192,3 @@
 	dpkg-deb -x linux-libc-dev_${DEB_VER_LINUX}*_${CROSS_ARCH}.deb debian/tmp
 ifeq ($(DISTRO),Ubuntu)
 # linux-libc-dev got multiarched in 2.6.38-8.42 and we need to take care of it - LP: #750585
-	ln -sf $(CURDIR)/debian/tmp/usr/include/${CROSS_GNU_TYPE}/asm/ $(CURDIR)/debian/tmp/usr/include/asm
-endif
-	touch $@
-
-define init_binutils
