## powerpc-cross-toolchain-base 1.5

=== debian/changelog ===
powerpc-cross-toolchain-base (1.5) vivid; urgency=medium

  * Add missing build-dep on cpio for linux-headers.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 03 Apr 2015 21:08:06 -0600

powerpc-cross-toolchain-base (1.4) vivid; urgency=medium

  * Bump glibc to 2.21.
  * Build using GCC 4.9.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2015 15:51:40 +0100

powerpc-cross-toolchain-base (1.3) vivid; urgency=medium

  * Remove patches applied in updated glibc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 19:01:41 +0100
