=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: dpkg-cross (>= 2.6.6), binutils-multiarch (>= 2.20.1-3~),
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
   binutils-source (>= 2.24.90),
-  glibc-source (>= 2.19-0~),
-  gcc-4.8-source (>= 4.8.2-16),
-  linux-source (>= 3.13.0-0~), 
+  glibc-source (>= 2.21-0~),
+  gcc-4.9-source (>= 4.9.2-10),
+  linux-source (>= 3.13.0-0~), cpio,
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 5.0.62),
   dpkg-dev (>= 1.15.3.1), fakeroot, file, flex,
@@ -55,7 +55,7 @@
 
 #Package: libgcc1-powerpc-cross
 #Architecture: all
-#Depends: gcc-4.8-powerpc-linux-gnu-base, ${misc:Depends}
+#Depends: gcc-4.9-powerpc-linux-gnu-base, ${misc:Depends}
 #Homepage: http://gcc.gnu.org/
 #Description: GCC support library
 # Shared version of the support library, a library of internal subroutines
@@ -67,7 +67,7 @@
 
 #Package: libgcc1-dbg-powerpc-cross
 #Architecture: all
-#Depends: gcc-4.8-powerpc-linux-gnu-base, ${misc:Depends}
+#Depends: gcc-4.9-powerpc-linux-gnu-base, ${misc:Depends}
 #Section: debug
 #Homepage: http://gcc.gnu.org/
 #Description: GCC support library (debug symbols)
